upgrading to 4.15.0-99-generic breaks the sound and the trackpad

Bug #1875916 reported by lukyluke on 2020-04-29
72
This bug affects 14 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

I am using kubuntu LTS 18.04.
This morning I was promped to update the kernel to the 4.15.0-99-generic.

After the upgrade I did not manage to get any sound. I checked everything, pavucontrol, alsamix, everything was in order, the streams showed as if they were playing, however I couldn't get any sound from the speakers headphones and I could not get any sound recorded either.

I then rebooted with the previous version of the Kernel, and have my sound back without doing anything at all.
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.14
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDesktop: KDE
DistroRelease: Ubuntu 18.04
HibernationDevice: RESUME=UUID=4a7a721a-7a2e-4644-a881-34adcb28e1ba
InstallationDate: Installed on 2019-01-29 (455 days ago)
InstallationMedia: Kubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
IwConfig:
 lo no wireless extensions.

 wlp108s0 no wireless extensions.
MachineType: Dell Inc. Latitude 7390 2-in-1
Package: linux (not installed)
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-99-generic root=/dev/mapper/kubuntu--vg-root ro quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-99.100-generic 4.15.18
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-99-generic N/A
 linux-backports-modules-4.15.0-99-generic N/A
 linux-firmware 1.173.17
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: bionic
Uname: Linux 4.15.0-99-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm audio cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 08/27/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.5.0
dmi.board.name: 0YNG30
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.5.0:bd08/27/2018:svnDellInc.:pnLatitude73902-in-1:pvr:rvnDellInc.:rn0YNG30:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: Latitude
dmi.product.name: Latitude 7390 2-in-1
dmi.sys.vendor: Dell Inc.

CVE References

Colin Watson (cjwatson) on 2020-04-29
affects: launchpad → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1875916

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: bionic

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

I have removed and reinstalled the new kernel, now the touchpad does not work either

summary: - upgrading to 4.15.0-99-generic breaks the sound
+ upgrading to 4.15.0-99-generic breaks the sound and the trackpad
Francis Ginther (fginther) wrote :

Can you please include the output of dmesg, "dmesg > dmesg.log", from a boot using the working kernel?

Hui Wang (hui.wang) wrote :

Did you install the linux-modules-extra for 4.15.0-99-generic, I could not find the audio driver kernel modules from any of your logs.

That means you didn't install the audio driver.

Please check /lib/modules/4.15.0-99-generic/kernel/sound/pci/hda/, does this folder contains any ko?

Hui Wang (hui.wang) wrote :
lukyluke (luca-tagliacozzo) wrote :

Here is the dmesg with the .96 kernel working,

lukyluke (luca-tagliacozzo) wrote :

With the new kerne from Hui, the revert 255 sound is back

lukyluke (luca-tagliacozzo) wrote :

Let me know if you need extra info now that I am running the 4.15.0-99-generic revert 255

Hui Wang (hui.wang) wrote :

Thanks, no need extra info.

I just reverted this commit from my testing kernel, and we will investigate this issue and try to fix it in the next cycle.

commit c13c807c4ad2587bb1278ec4dc194bec671bd9cb
Author: Kai-Heng Feng <email address hidden>
Date: Wed Mar 11 14:13:28 2020 +0800

    ALSA: hda/realtek: Fix pop noise on ALC225

    BugLink: https://bugs.launchpad.net/bugs/1870604

    commit 3b36b13d5e69d6f51ff1c55d1b404a74646c9757 upstream.

    Commit 317d9313925c ("ALSA: hda/realtek - Set default power save node to
    0") makes the ALC225 have pop noise on S3 resume and cold boot.

    So partially revert this commit for ALC225 to fix the regression.

    Fixes: 317d9313925c ("ALSA: hda/realtek - Set default power save node to 0")
    BugLink: https://bugs.launchpad.net/bugs/1866357
    Signed-off-by: Kai-Heng Feng <email address hidden>
    Link: https://<email address hidden>
    Signed-off-by: Takashi Iwai <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>
    Signed-off-by: Kamal Mostafa <email address hidden>
    Signed-off-by: Khalid Elmously <email address hidden>

Hui Wang (hui.wang) wrote :

So the fix of this bug introduced a regression on this issue.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1866357

I also have this bug, Dell Latitude 7390, kernel upgraded to 4.15.0-99-generic about 2 days ago, couldn't get the sound (internal laptop speakers and audio jack) to work. However, HDMI sound through external monitors worked.
I'd be happy to run some diagnosis with the old & new kernels if that'd be helpful.

Hui Wang (hui.wang) wrote :

Probably it is a same issue if the codec is alc225 on your machine, anyway, you could try the testing kernel in the #19.

And please upload alsa-info.txt generated on your machine.

Thoo (thoo7nie2i) wrote :

@ Hui: Sorry, how can I test your new kernel packages and later remove them safely?

Will the following work?

1. Download the 3 deb files from #19

2. Install them via

sudo apt-get install ./*4.15.0-99-generic_4.15.0-99.100+revert225_amd64.deb

3. re-booting into that test kernel and test audio

4. reboot into old working kernel 4.15.0-96

5. ???

How would I then get rid of the unsigned test kernel and back to the latest broken signed standard Ubuntu 4.15.0-99-generic kernel?

Do I need to change my UEFI settings in the BIOS before being able to install your test kernel because it is unsigned?

Hui Wang (hui.wang) wrote :

Download all deb and put them in a folder like /tmp/test/

cd /tmp/test

sudo dpkg -i *.deb; reboot

to remove them, dpkg -r --force-all linux-image-4.15.0-99-generic

kernel 4.15.0-99-generic: no internal sound / no sound through earphones audio jack

kernel 4.15.0-99-generic-revert225, kernel 4.15.0-96-generic, kernel 4.15.0-91-generic : sound works as expected (both internal and through audio jack)
[However, if my earphones are plugged in prior to booting, then no sound will come out. I must unplug them (sound will come out through internal speakers), and then plug them back in. Probably a different issue though, as it isn't new.]

For all kernels, I hear a brief clicking sound through my earphones when booting and rebooting.

I attach alsa-info.txt for kernels 4.15.0-99-generic-revert225, 4.15.0-99-generic and 4.15.0-91-generic

Hui Wang (hui.wang) wrote :

[However, if my earphones are plugged in prior to booting, then no sound will come out. I must unplug them (sound will come out through internal speakers), and then plug them back in. Probably a different issue though, as it isn't new.]

The ubuntu pulseaudio introduced a regression on this issue recently, will fix this issue soon. maybe the pulseaudio of next cycle

Thoo (thoo7nie2i) wrote :

Thanks. #28 left me with an unbootable kernel 4.15.0-99-generic-revert225. I managed to reverse to the standard kernel 4.15.0-99-generic.

Hui Wang (hui.wang) wrote :

Anyway, the fix introduced this regression has been reverted, and this bug will be fixed by the kernel of next cycle or the cycle after the next.

Felix Barruche (barruchou) wrote :

Hi, when will the next cycle be?

For sound problems :
In /etc/modprobe.d/alsa-base.conf change "options snd-hda-intel model=auto" by "options snd-hda-intel model=generic" seems to reactivate the sound on the computer (this does not work for headphones, on Dell Inspiron 5379)
A quick fix, it allows to not revert the kernel.

Hui Wang (hui.wang) wrote :

Usually it takes 3 weeks for each cycle.

Felix Barruche (barruchou) wrote :

Ok Thanks :)

Thoo (thoo7nie2i) wrote :

Still broken in the newer 4.15.0-101-generic kernel. But that has been somewhat expected, see comment #32

I confirm - still broken in 101. Hopefully the patch is reverted in the next version :-)

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
etzhaim (ngenimakis) on 2020-05-25
tags: added: verification-failed-focal
removed: verification-needed-focal
etzhaim (ngenimakis) wrote :

I made the #1876629 bug report. I tried the proposed 4.15.0-102-generic but still got no sound on my laptop. Then I installed the latest pulseaudio from proposed which didn't work either.

I've reverted back to 4.15.0-91-generic which seems to work for me. I have sound even after the kernel livepatch.

Kai-Heng Feng (kaihengfeng) wrote :

The tag is for Focal (20.04). Bionic (18.04) kernel hasn't rolled out yet.

tags: added: verification-needed-focal
removed: verification-failed-focal
Timo Aaltonen (tjaalton) wrote :

this is supposedly fixed by a stable tree commit in 5.6, marking verified

tags: added: verification-done-focal
removed: verification-needed-focal
Thoo (thoo7nie2i) wrote :

Ahoy,

on 18.04 LTS bionic I have been offered kernel linux-image-4.15.0-106-generic when using "apt-get dist-upgrade".

Since for me the last working kernel 4.15.0-96-generic is almost to be rolled out of my grub config with this new 4.15.0-106 kernel, I'd like to know if this bug is fixed in the 106 kernel.

Alternatively:

How do I pin the working 4.15.0-96-generic kernel to my grub config, so that further kernel updates via "apt-get dist-upgrade" don't roll my working 4.15.0-96-generic kernel out of my grub config automagically?

And secondly: Is there a similar "proposed" method as mentioned in comment #38 for bionic that I can test a proposed kernel with a fix on bionic "safely" with an *easy* option to roll back?

(Installing the provided test-kernel from comment #19, and trying to revert back to a standard kernel did not work out that well for me, see comments #27, #28 and #31.)

Thanks

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-eoan
tags: added: verification-needed-bionic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

lukyluke (luca-tagliacozzo) wrote :

Sorry to confirm that the verification failed in bionic, though I do not find where I should change the mentioned tag,

Linux SimoManu 4.15.0-101-generic #102-Ubuntu SMP Mon May 11 10:07:26 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

still no sound

Also

4.15.0-103-generic #104-Ubuntu SMP Fri May 29 13:24:32 UTC 2020 x86_64
x86_64 x86_64 GNU/Linux
Still no sound

On Wed, 10 Jun 2020 at 21:15, lukyluke <email address hidden> wrote:
>
> Sorry to confirm that the verification failed in bionic, though I do
> not find where I should change the mentioned tag,
>
> Linux SimoManu 4.15.0-101-generic #102-Ubuntu SMP Mon May 11 10:07:26
> UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
>
> still no sound
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1875916
>
> Title:
> upgrading to 4.15.0-99-generic breaks the sound and the trackpad
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1875916/+subscriptions

lukyluke (luca-tagliacozzo) wrote :

On the other hand
4.15.0-103-generic #104-Ubuntu SMP Fri May 29 13:24:32 UTC 2020 x86_64
x86_64 x86_64 GNU/Linux

SOLVE IT, many thanks

On Wed, 10 Jun 2020 at 21:23, Luca Tagliacozzo
<email address hidden> wrote:
>
> Also
>
> 4.15.0-103-generic #104-Ubuntu SMP Fri May 29 13:24:32 UTC 2020 x86_64
> x86_64 x86_64 GNU/Linux
> Still no sound
>
>
>
> On Wed, 10 Jun 2020 at 21:15, lukyluke <email address hidden> wrote:
> >
> > Sorry to confirm that the verification failed in bionic, though I do
> > not find where I should change the mentioned tag,
> >
> > Linux SimoManu 4.15.0-101-generic #102-Ubuntu SMP Mon May 11 10:07:26
> > UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
> >
> > still no sound
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1875916
> >
> > Title:
> > upgrading to 4.15.0-99-generic breaks the sound and the trackpad
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1875916/+subscriptions

etzhaim (ngenimakis) wrote :

I made the #1876629 bug report. I'm currently using proposed kernel 4.15.0-107-generic. Sound restored.

tags: added: verification-done-bionic
removed: verification-needed-bionic
lukyluke (luca-tagliacozzo) wrote :

yes I confirm you are right 4.15.0-107-generic #108-Ubuntu SMP Mon Jun 8 17:51:33 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux sound is back,
how do you change the tags?
Thanks

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
etzhaim (ngenimakis) wrote :

Using bionic. Upgrading from 4.15.0-107-generic to 4.15.0-108-generic broke the sound again... Reverted to 4.15.0-107-generic which solves the problem for the moment.

Thoo (thoo7nie2i) wrote :

I can confirm #51: no sound from internal speaker and headphone jack on 4.15.0-108-generic.

Upgraded to 4.15.0-108-generic from 4.15.0-96-generic on bionic the sound is broken again.

Booting into the old 4.15.0-96-generic, sound is working without any other changes.

Paul (pcul) wrote :

I can confirm #52.

All autopkgtests for the newly accepted linux-oracle-5.4 (5.4.0-1019.19~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

zfs-linux/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-oracle-5.4

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (30.0 KiB)

This bug was fixed in the package linux - 5.4.0-40.44

---------------
linux (5.4.0-40.44) focal; urgency=medium

  * linux-oem-5.6-tools-common and -tools-host should be dropped (LP: #1881120)
    - [Packaging] Add Conflicts/Replaces to remove linux-oem-5.6-tools-common and
      -tools-host

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * Slow send speed with Intel I219-V on Ubuntu 18.04.1 (LP: #1802691)
    - e1000e: Disable TSO for buffer overrun workaround

  * CVE-2020-0543
    - UBUNTU/SAUCE: x86/speculation/srbds: do not try to turn mitigation off when
      not supported

  * Realtek 8723DE [10ec:d723] subsystem [10ec:d738] disconnects unsolicitedly
    when Bluetooth is paired: Reason: 23=IEEE8021X_FAILED (LP: #1878147)
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: Move driver IQK to set channel before
      association for 11N chip"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: fix rate for a while after being
      connected"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: No retry and report for auth and assoc"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: 8723d: Add coex support"
    - rtw88: add a debugfs entry to dump coex's info
    - rtw88: add a debugfs entry to enable/disable coex mechanism
    - rtw88: 8723d: Add coex support
    - SAUCE: rtw88: coex: 8723d: set antanna control owner
    - SAUCE: rtw88: coex: 8723d: handle BT inquiry cases
    - SAUCE: rtw88: fix EAPOL 4-way failure by finish IQK earlier

  * CPU stress test fails with focal kernel (LP: #1867900)
    - [Config] Disable hisi_sec2 temporarily

  * Enforce all config annotations (LP: #1879327)
    - [Config]: do not enforce CONFIG_VERSION_SIGNATURE
    - [Config]: prepare to enforce all
    - [Config]: enforce all config options

  * Focal update: v5.4.44 upstream stable release (LP: #1881927)
    - ax25: fix setsockopt(SO_BINDTODEVICE)
    - dpaa_eth: fix usage as DSA master, try 3
    - net: don't return invalid table id error when we fall back to PF_UNSPEC
    - net: dsa: mt7530: fix roaming from DSA user ports
    - net: ethernet: ti: cpsw: fix ASSERT_RTNL() warning during suspend
    - __netif_receive_skb_core: pass skb by reference
    - net: inet_csk: Fix so_reuseport bind-address cache in tb->fast*
    - net: ipip: fix wrong address family in init error path
    - net/mlx5: Add command entry handling completion
    - net: mvpp2: fix RX hashing for non-10G ports
    - net: nlmsg_cancel() if put fails for nhmsg
    - net: qrtr: Fix passing invalid reference to qrtr_local_enqueue()
    - net: revert "net: get rid of an signed integer overflow in
      ip_idents_reserve()"
    - net sched: fix reporting the first-time use timestamp
    - net/tls: fix race condition causing kernel panic
    - nexthop: Fix attribute checking for groups
    - r8152: support additional Microsoft Surface Ethernet Adapter variant
    - sctp: Don't add the shutdown timer if its already been added
    - sctp: Start shutdown on association restart if in SHUTDOWN-SENT state and
      socket is closed
    - tipc: block BH before using dst_cache
    - net/mlx5e: kTLS, Destroy key object after destroying the TIS
    - net/mlx5e: Fix inner tirs handling
    - net/m...

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Thoo (thoo7nie2i) wrote :

I confirm that kernel 4.15.0-109-generic #110-Ubuntu SMP Tue Jun 23 02:39:32 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux works for me. Sound on internal speaker and phone jack is working.

All autopkgtests for the newly accepted linux-hwe-5.0 (5.0.0-57.61~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

linux-hwe-5.0/5.0.0-57.61~18.04.1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-hwe-5.0

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers